Name:           bb-backup
Version:        4.1
Release:        1%{?dist}
Summary:        A small backup script for transferring tarballs off a host

Group:          System/Utilities
License:        None
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
Requires:       perl curl /bin/mail

%description
A small daily backup program that will archive a given set of directories or
files with FTP or RSYNC. It will report its results to a Big Brother-style
monitoring system (eg. Hobbit or Xymon) if it finds one locally.

A small local mini-backup can be enabled locally by editing a sysconfig file. For
full options, use the options and entry in /etc/cron.d/bb-backup

%prep
%setup -q

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/cron.daily

install -d %{buildroot}%{_localstatedir}/backups

install -m 755 bb-backup %{buildroot}%{_sbindir}/
install -m 644 bb-backup.conf %{buildroot}%{_sysconfdir}
install -m 644 bb-backup.local.conf %{buildroot}%{_sysconfdir}
install -m 644 bb-backup.crond %{buildroot}%{_sysconfdir}/cron.d/bb-backup
install -m 600 bb-backup.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/bb-backup
install -m 755 bb-backup.cron.daily %{buildroot}%{_sysconfdir}/cron.daily/bb-backup

%post
/sbin/service crond condrestart >/dev/null || :


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README*
%doc backuphandler*

%dir %attr(0750,root,root) %{_localstatedir}/backups
%attr(755,root,root) %{_sbindir}/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/bb-backup.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/bb-backup.local.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/cron.d/bb-backup
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/bb-backup
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/bb-backup


%changelog
* Thu Jan 12 2012 Japheth Cleaver <cleaver@terabithia.org> 4.1-1
- local backups enabled by default and no longer text-only

* Wed Jun 22 2011 Japheth Cleaver <cleaver@terabithia.org> 4.0-0
- bump rev, credits

* Fri Mar 04 2011 Japheth Cleaver <cleaver@terabithia.org> 3.6.6-1
- fix missing space when all no-text and no excluded dirs
- add ownership of /var/backups

* Tue Jan 18 2011 Japheth Cleaver <cleaver@terabithia.org> 3.6.5
- add '--no-text-only' option and correctly handle excluded dirs

* Thu Jul 30 2009 Japheth Cleaver <cleaver@terabithia.org> 3.6.4
- add '-f' option when invoking curl, to ensure failure propagate up
- unlink splay file after we're done splaying

* Wed Jul 08 2009 Japheth Cleaver <cleaver@terabithia.org> 3.6.3
- write out splay time to /dev/shm/bb-backup.splay on execute

* Mon Jun 08 2009 Japheth Cleaver <cleaver@terabithia.org> 3.6.2-1
- fix perl warning on data time elapsed values for failed backups
- fix overzealous detaint on BB environment variable

* Wed May 20 2009 Japheth Cleaver <cleaver@terabithia.org> 3.6.1-1
- bug: missing LimitExcept in httpd.conf
- ensure proper perms in cron.d; condrestart cron on install

* Wed May 20 2009 Japheth Cleaver <cleaver@terabithia.org> 3.6-1
- can now POST to a CGI as well as perform HTTP PUT
- backuphandler script accepts both actions
- bug fixes in httpd.conf snippet

* Wed May 06 2009 Japheth Cleaver <cleaver@terabithia.org> 3.5-1
- uses curl by default (add require to package)
- add backuphandler: a sample HTTP put receiving script

* Mon Apr 13 2009 Japheth Cleaver <cleaver@terabithia.org> 3.4.1-1
- typo in --help to refer to proper local log location
- when given a sleep value, BB testFreq was being incremented by
  total seconds instead of minutes, oops.
- enable default sleep value in sysconfig, remove from cron.d samp
- instead of forcing the log to be uploaded to make the destination
  directory, use a dummy file instead -- and do nothing in --debug
- remove bashism from cron.daily/bb-backup script

* Fri Apr 10 2009 Japheth Cleaver <cleaver@terabithia.org> 3.4-2
- local --text-only backups now work
- proper path checking in cron.daily task, plus passes on other args
- can now specify ftp or rsync server port with --port option
- can stop hostname from prepension to tarball

* Thu Apr 09 2009 Japheth Cleaver <cleaver@terabithia.org> 3.3.2-3
- add option to try to backup only text files
- add /root by default, but exclude .cpan

* Wed Apr 08 2009 Japheth Cleaver <cleaver@terabithia.org> 3.3.1-2
- load variables from sysconfig if found
- provide a second instance running daily which locally 
  backs up /etc/ and /boot/ by default (but disabled)
- chmod 600 tarballs once created (still a security risk)

* Tue Apr 07 2009 Japheth Cleaver <cleaver@terabithia.org> 3.2-1
- call bbcmd if it finds one present
- many structural changes
